Subject: Re: [PATCH] cache.h: add missing NORETURN on git_die_config*()

From: Tanay Abhra <[email-masked]>
Date: Tue, 05 Aug 2014 19:39:47 +0530

On 8/5/2014 7:27 PM, Ramsay Jones wrote:
> 
> Commit 3a2a9527 ("config: add `git_die_config()` to the config-set
> API", 01-08-2014) added git_die_config() and git_die_config_linenr()
> functions, but forgot to include the NORETURN attribute in their
> declarations. Sparse complains like so:
> 
>         SP config.c
>     config.c:1567:6: error: symbol 'git_die_config_linenr' redeclared \
>         with different type (originally declared at cache.h:1419) \
>         - different modifiers
>     config.c:1579:6: error: symbol 'git_die_config' redeclared with \
>         different type (originally declared at cache.h:1418) \
>         - different modifiers
> 
> Suppress the sparse errors by adding NORETURN to the function
> declarations in the cache.h header file.
> 
> Signed-off-by: Ramsay Jones <[email-masked]>
> ---
> 
> Hi Tanay,
> 
> If you need to re-roll the patches in the 'ta/config-set-1' branch,
> could you please squash this into the relevant patch. Thanks!
>

Sorry, my bad. I will squash it in the relevant patch for my next re roll.

Thanks,
Tanay Abhra.